Index: XIOS/trunk/src/interface/c_attr/icfield_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 444)
+++ XIOS/trunk/src/interface/c_attr/icfield_attr.cpp	(revision 445)
@@ -30,5 +30,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->axis_ref.getValue(),axis_ref , axis_ref_size))
+    if(!string_copy(field_hdl->axis_ref.getInheritedValue(),axis_ref , axis_ref_size))
       ERROR("void cxios_get_field_axis_ref(field_Ptr field_hdl, char * axis_ref, int axis_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -38,5 +38,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->axis_ref.isEmpty();
+    return field_hdl->axis_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -54,5 +54,5 @@
   void cxios_get_field_default_value(field_Ptr field_hdl, double* default_value)
   {
-    *default_value = field_hdl->default_value.getValue();
+    *default_value = field_hdl->default_value.getInheritedValue();
   }
   
@@ -60,5 +60,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->default_value.isEmpty();
+    return field_hdl->default_value.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -79,5 +79,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->domain_ref.getValue(),domain_ref , domain_ref_size))
+    if(!string_copy(field_hdl->domain_ref.getInheritedValue(),domain_ref , domain_ref_size))
       ERROR("void cxios_get_field_domain_ref(field_Ptr field_hdl, char * domain_ref, int domain_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -87,5 +87,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->domain_ref.isEmpty();
+    return field_hdl->domain_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -103,5 +103,5 @@
   void cxios_get_field_enabled(field_Ptr field_hdl, bool* enabled)
   {
-    *enabled = field_hdl->enabled.getValue();
+    *enabled = field_hdl->enabled.getInheritedValue();
   }
   
@@ -109,5 +109,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->enabled.isEmpty();
+    return field_hdl->enabled.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -128,5 +128,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->field_ref.getValue(),field_ref , field_ref_size))
+    if(!string_copy(field_hdl->field_ref.getInheritedValue(),field_ref , field_ref_size))
       ERROR("void cxios_get_field_field_ref(field_Ptr field_hdl, char * field_ref, int field_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -136,5 +136,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->field_ref.isEmpty();
+    return field_hdl->field_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -155,5 +155,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->freq_offset.getValue(),freq_offset , freq_offset_size))
+    if(!string_copy(field_hdl->freq_offset.getInheritedValue(),freq_offset , freq_offset_size))
       ERROR("void cxios_get_field_freq_offset(field_Ptr field_hdl, char * freq_offset, int freq_offset_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -163,5 +163,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->freq_offset.isEmpty();
+    return field_hdl->freq_offset.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -182,5 +182,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->freq_op.getValue(),freq_op , freq_op_size))
+    if(!string_copy(field_hdl->freq_op.getInheritedValue(),freq_op , freq_op_size))
       ERROR("void cxios_get_field_freq_op(field_Ptr field_hdl, char * freq_op, int freq_op_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -190,5 +190,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->freq_op.isEmpty();
+    return field_hdl->freq_op.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -209,5 +209,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->grid_ref.getValue(),grid_ref , grid_ref_size))
+    if(!string_copy(field_hdl->grid_ref.getInheritedValue(),grid_ref , grid_ref_size))
       ERROR("void cxios_get_field_grid_ref(field_Ptr field_hdl, char * grid_ref, int grid_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -217,5 +217,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->grid_ref.isEmpty();
+    return field_hdl->grid_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -233,5 +233,5 @@
   void cxios_get_field_level(field_Ptr field_hdl, int* level)
   {
-    *level = field_hdl->level.getValue();
+    *level = field_hdl->level.getInheritedValue();
   }
   
@@ -239,5 +239,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->level.isEmpty();
+    return field_hdl->level.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -258,5 +258,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->long_name.getValue(),long_name , long_name_size))
+    if(!string_copy(field_hdl->long_name.getInheritedValue(),long_name , long_name_size))
       ERROR("void cxios_get_field_long_name(field_Ptr field_hdl, char * long_name, int long_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -266,5 +266,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->long_name.isEmpty();
+    return field_hdl->long_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -285,5 +285,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->name.getValue(),name , name_size))
+    if(!string_copy(field_hdl->name.getInheritedValue(),name , name_size))
       ERROR("void cxios_get_field_name(field_Ptr field_hdl, char * name, int name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -293,5 +293,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->name.isEmpty();
+    return field_hdl->name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -312,5 +312,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->operation.getValue(),operation , operation_size))
+    if(!string_copy(field_hdl->operation.getInheritedValue(),operation , operation_size))
       ERROR("void cxios_get_field_operation(field_Ptr field_hdl, char * operation, int operation_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -320,5 +320,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->operation.isEmpty();
+    return field_hdl->operation.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -336,5 +336,5 @@
   void cxios_get_field_prec(field_Ptr field_hdl, int* prec)
   {
-    *prec = field_hdl->prec.getValue();
+    *prec = field_hdl->prec.getInheritedValue();
   }
   
@@ -342,5 +342,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->prec.isEmpty();
+    return field_hdl->prec.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -361,5 +361,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->standard_name.getValue(),standard_name , standard_name_size))
+    if(!string_copy(field_hdl->standard_name.getInheritedValue(),standard_name , standard_name_size))
       ERROR("void cxios_get_field_standard_name(field_Ptr field_hdl, char * standard_name, int standard_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -369,5 +369,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->standard_name.isEmpty();
+    return field_hdl->standard_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -388,5 +388,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(field_hdl->unit.getValue(),unit , unit_size))
+    if(!string_copy(field_hdl->unit.getInheritedValue(),unit , unit_size))
       ERROR("void cxios_get_field_unit(field_Ptr field_hdl, char * unit, int unit_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -396,5 +396,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !field_hdl->unit.isEmpty();
+    return field_hdl->unit.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 444)
+++ XIOS/trunk/src/interface/c_attr/icfieldgroup_attr.cpp	(revision 445)
@@ -30,5 +30,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->axis_ref.getValue(),axis_ref , axis_ref_size))
+    if(!string_copy(fieldgroup_hdl->axis_ref.getInheritedValue(),axis_ref , axis_ref_size))
       ERROR("void cxios_get_fieldgroup_axis_ref(fieldgroup_Ptr fieldgroup_hdl, char * axis_ref, int axis_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -38,5 +38,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->axis_ref.isEmpty();
+    return fieldgroup_hdl->axis_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -54,5 +54,5 @@
   void cxios_get_fieldgroup_default_value(fieldgroup_Ptr fieldgroup_hdl, double* default_value)
   {
-    *default_value = fieldgroup_hdl->default_value.getValue();
+    *default_value = fieldgroup_hdl->default_value.getInheritedValue();
   }
   
@@ -60,5 +60,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->default_value.isEmpty();
+    return fieldgroup_hdl->default_value.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -79,5 +79,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->domain_ref.getValue(),domain_ref , domain_ref_size))
+    if(!string_copy(fieldgroup_hdl->domain_ref.getInheritedValue(),domain_ref , domain_ref_size))
       ERROR("void cxios_get_fieldgroup_domain_ref(fieldgroup_Ptr fieldgroup_hdl, char * domain_ref, int domain_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -87,5 +87,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->domain_ref.isEmpty();
+    return fieldgroup_hdl->domain_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -103,5 +103,5 @@
   void cxios_get_fieldgroup_enabled(fieldgroup_Ptr fieldgroup_hdl, bool* enabled)
   {
-    *enabled = fieldgroup_hdl->enabled.getValue();
+    *enabled = fieldgroup_hdl->enabled.getInheritedValue();
   }
   
@@ -109,5 +109,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->enabled.isEmpty();
+    return fieldgroup_hdl->enabled.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -128,5 +128,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->field_ref.getValue(),field_ref , field_ref_size))
+    if(!string_copy(fieldgroup_hdl->field_ref.getInheritedValue(),field_ref , field_ref_size))
       ERROR("void cxios_get_fieldgroup_field_ref(fieldgroup_Ptr fieldgroup_hdl, char * field_ref, int field_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -136,5 +136,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->field_ref.isEmpty();
+    return fieldgroup_hdl->field_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -155,5 +155,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->freq_offset.getValue(),freq_offset , freq_offset_size))
+    if(!string_copy(fieldgroup_hdl->freq_offset.getInheritedValue(),freq_offset , freq_offset_size))
       ERROR("void cxios_get_fieldgroup_freq_offset(fieldgroup_Ptr fieldgroup_hdl, char * freq_offset, int freq_offset_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -163,5 +163,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->freq_offset.isEmpty();
+    return fieldgroup_hdl->freq_offset.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -182,5 +182,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->freq_op.getValue(),freq_op , freq_op_size))
+    if(!string_copy(fieldgroup_hdl->freq_op.getInheritedValue(),freq_op , freq_op_size))
       ERROR("void cxios_get_fieldgroup_freq_op(fieldgroup_Ptr fieldgroup_hdl, char * freq_op, int freq_op_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -190,5 +190,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->freq_op.isEmpty();
+    return fieldgroup_hdl->freq_op.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -209,5 +209,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->grid_ref.getValue(),grid_ref , grid_ref_size))
+    if(!string_copy(fieldgroup_hdl->grid_ref.getInheritedValue(),grid_ref , grid_ref_size))
       ERROR("void cxios_get_fieldgroup_grid_ref(fieldgroup_Ptr fieldgroup_hdl, char * grid_ref, int grid_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -217,5 +217,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->grid_ref.isEmpty();
+    return fieldgroup_hdl->grid_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -236,5 +236,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->group_ref.getValue(),group_ref , group_ref_size))
+    if(!string_copy(fieldgroup_hdl->group_ref.getInheritedValue(),group_ref , group_ref_size))
       ERROR("void cxios_get_fieldgroup_group_ref(fieldgroup_Ptr fieldgroup_hdl, char * group_ref, int group_ref_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -244,5 +244,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->group_ref.isEmpty();
+    return fieldgroup_hdl->group_ref.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -260,5 +260,5 @@
   void cxios_get_fieldgroup_level(fieldgroup_Ptr fieldgroup_hdl, int* level)
   {
-    *level = fieldgroup_hdl->level.getValue();
+    *level = fieldgroup_hdl->level.getInheritedValue();
   }
   
@@ -266,5 +266,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->level.isEmpty();
+    return fieldgroup_hdl->level.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -285,5 +285,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->long_name.getValue(),long_name , long_name_size))
+    if(!string_copy(fieldgroup_hdl->long_name.getInheritedValue(),long_name , long_name_size))
       ERROR("void cxios_get_fieldgroup_long_name(fieldgroup_Ptr fieldgroup_hdl, char * long_name, int long_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -293,5 +293,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->long_name.isEmpty();
+    return fieldgroup_hdl->long_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -312,5 +312,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->name.getValue(),name , name_size))
+    if(!string_copy(fieldgroup_hdl->name.getInheritedValue(),name , name_size))
       ERROR("void cxios_get_fieldgroup_name(fieldgroup_Ptr fieldgroup_hdl, char * name, int name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -320,5 +320,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->name.isEmpty();
+    return fieldgroup_hdl->name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -339,5 +339,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->operation.getValue(),operation , operation_size))
+    if(!string_copy(fieldgroup_hdl->operation.getInheritedValue(),operation , operation_size))
       ERROR("void cxios_get_fieldgroup_operation(fieldgroup_Ptr fieldgroup_hdl, char * operation, int operation_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -347,5 +347,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->operation.isEmpty();
+    return fieldgroup_hdl->operation.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -363,5 +363,5 @@
   void cxios_get_fieldgroup_prec(fieldgroup_Ptr fieldgroup_hdl, int* prec)
   {
-    *prec = fieldgroup_hdl->prec.getValue();
+    *prec = fieldgroup_hdl->prec.getInheritedValue();
   }
   
@@ -369,5 +369,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->prec.isEmpty();
+    return fieldgroup_hdl->prec.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -388,5 +388,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->standard_name.getValue(),standard_name , standard_name_size))
+    if(!string_copy(fieldgroup_hdl->standard_name.getInheritedValue(),standard_name , standard_name_size))
       ERROR("void cxios_get_fieldgroup_standard_name(fieldgroup_Ptr fieldgroup_hdl, char * standard_name, int standard_name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -396,5 +396,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->standard_name.isEmpty();
+    return fieldgroup_hdl->standard_name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -415,5 +415,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(fieldgroup_hdl->unit.getValue(),unit , unit_size))
+    if(!string_copy(fieldgroup_hdl->unit.getInheritedValue(),unit , unit_size))
       ERROR("void cxios_get_fieldgroup_unit(fieldgroup_Ptr fieldgroup_hdl, char * unit, int unit_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -423,5 +423,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !fieldgroup_hdl->unit.isEmpty();
+    return fieldgroup_hdl->unit.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
Index: XIOS/trunk/src/interface/c_attr/icfile_attr.cpp
===================================================================
--- XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 444)
+++ XIOS/trunk/src/interface/c_attr/icfile_attr.cpp	(revision 445)
@@ -30,5 +30,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->description.getValue(),description , description_size))
+    if(!string_copy(file_hdl->description.getInheritedValue(),description , description_size))
       ERROR("void cxios_get_file_description(file_Ptr file_hdl, char * description, int description_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -38,5 +38,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->description.isEmpty();
+    return file_hdl->description.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -54,5 +54,5 @@
   void cxios_get_file_enabled(file_Ptr file_hdl, bool* enabled)
   {
-    *enabled = file_hdl->enabled.getValue();
+    *enabled = file_hdl->enabled.getInheritedValue();
   }
   
@@ -60,5 +60,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->enabled.isEmpty();
+    return file_hdl->enabled.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -76,5 +76,5 @@
   void cxios_get_file_min_digits(file_Ptr file_hdl, int* min_digits)
   {
-    *min_digits = file_hdl->min_digits.getValue();
+    *min_digits = file_hdl->min_digits.getInheritedValue();
   }
   
@@ -82,5 +82,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->min_digits.isEmpty();
+    return file_hdl->min_digits.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -101,5 +101,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->name.getValue(),name , name_size))
+    if(!string_copy(file_hdl->name.getInheritedValue(),name , name_size))
       ERROR("void cxios_get_file_name(file_Ptr file_hdl, char * name, int name_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -109,5 +109,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->name.isEmpty();
+    return file_hdl->name.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -128,5 +128,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->name_suffix.getValue(),name_suffix , name_suffix_size))
+    if(!string_copy(file_hdl->name_suffix.getInheritedValue(),name_suffix , name_suffix_size))
       ERROR("void cxios_get_file_name_suffix(file_Ptr file_hdl, char * name_suffix, int name_suffix_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -136,5 +136,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->name_suffix.isEmpty();
+    return file_hdl->name_suffix.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -155,5 +155,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->output_freq.getValue(),output_freq , output_freq_size))
+    if(!string_copy(file_hdl->output_freq.getInheritedValue(),output_freq , output_freq_size))
       ERROR("void cxios_get_file_output_freq(file_Ptr file_hdl, char * output_freq, int output_freq_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -163,5 +163,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->output_freq.isEmpty();
+    return file_hdl->output_freq.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -179,5 +179,5 @@
   void cxios_get_file_output_level(file_Ptr file_hdl, int* output_level)
   {
-    *output_level = file_hdl->output_level.getValue();
+    *output_level = file_hdl->output_level.getInheritedValue();
   }
   
@@ -185,5 +185,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->output_level.isEmpty();
+    return file_hdl->output_level.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -204,5 +204,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->par_access.getValue(),par_access , par_access_size))
+    if(!string_copy(file_hdl->par_access.getInheritedValue(),par_access , par_access_size))
       ERROR("void cxios_get_file_par_access(file_Ptr file_hdl, char * par_access, int par_access_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -212,5 +212,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->par_access.isEmpty();
+    return file_hdl->par_access.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -231,5 +231,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->split_freq.getValue(),split_freq , split_freq_size))
+    if(!string_copy(file_hdl->split_freq.getInheritedValue(),split_freq , split_freq_size))
       ERROR("void cxios_get_file_split_freq(file_Ptr file_hdl, char * split_freq, int split_freq_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -239,5 +239,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->split_freq.isEmpty();
+    return file_hdl->split_freq.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -258,5 +258,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->split_freq_format.getValue(),split_freq_format , split_freq_format_size))
+    if(!string_copy(file_hdl->split_freq_format.getInheritedValue(),split_freq_format , split_freq_format_size))
       ERROR("void cxios_get_file_split_freq_format(file_Ptr file_hdl, char * split_freq_format, int split_freq_format_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -266,5 +266,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->split_freq_format.isEmpty();
+    return file_hdl->split_freq_format.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -285,5 +285,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->sync_freq.getValue(),sync_freq , sync_freq_size))
+    if(!string_copy(file_hdl->sync_freq.getInheritedValue(),sync_freq , sync_freq_size))
       ERROR("void cxios_get_file_sync_freq(file_Ptr file_hdl, char * sync_freq, int sync_freq_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -293,5 +293,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->sync_freq.isEmpty();
+    return file_hdl->sync_freq.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
@@ -312,5 +312,5 @@
   {
      CTimer::get("XIOS").resume();
-    if(!string_copy(file_hdl->type.getStringValue(),type , type_size))
+    if(!string_copy(file_hdl->type.getInheritedStringValue(),type , type_size))
       ERROR("void cxios_get_file_type(file_Ptr file_hdl, char * type, int type_size)", <<"Input string is to short");
      CTimer::get("XIOS").suspend();
@@ -320,5 +320,5 @@
   {
      CTimer::get("XIOS").resume();
-    return !file_hdl->type.isEmpty();
+    return file_hdl->type.hasInheritedValue();
      CTimer::get("XIOS").suspend();
   }
